#! /usr/bin/env python

import ptc
import sys, struct

types = ('color', 'point')
names = ('color1', 'point1')

p = ptc.PointCloud('/home/qewerty/1.ptc', types, names)
assert(p.get_points_number() == 0)
assert(p.get_datasize() == 6)

p.write_data((0, 0, 1.1), (1, 0, 0), 0.1, struct.pack('ffffff', 1., 0., 0., 4., 5., 6.))
p.write_data((0, 0, 1), (1, 0, 0), 0.1, struct.pack('ffffff', 0., 1., 0., 4., 5., 6.))
p.write_data((0, 0, 2), (1, 0, 0), 0.4, struct.pack('ffffff', 0, 0, 1., 4., 5., 6.))
p.write_data((0, 2, 1.5), (1, 1, 0), 0.4, struct.pack('ffffff', 1, 1, 0., 4., 5., 6.))

assert(p.get_points_number() == 4)

assert(p.get_types() == types)
assert(p.get_names() == names)

p.finish()

print 'OK'
