from distutils.core import setup, Extension

ptc_mod = Extension('ptc',
                    sources = ['ptcmodule.c'],
                    include_dirs = ['/opt/pixie/include'],
                    libraries = ['ri'],
                    library_dirs = ['/opt/pixie/lib'])

setup(name = 'ptc',
      version = '0.1alpha',
      description = "Python interface for Pixie's point cloud API.",
      ext_modules = [ptc_mod])
	   
print "\nCONGRATULATIONS: Building has been finished!\n"
