#include <ptcapi.h>
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char *argv[])
{
	int nvars;
	char *types[256];
	char *names[256];
	PtcPointCloud ptc = PtcOpenPointCloudFile(argv[1], &nvars, types, names);

	float point[3];
	float normal[3];
	float radius;
	float *data;
	
	int datasize;
	PtcGetPointCloudInfo(ptc, "datasize", &datasize);
	data = (float *)malloc(sizeof(float)*datasize);
	
	printf("datasize: %i\n", datasize);
	
	PtcReadDataPoint(ptc, point, normal, &radius, data);
	
	free(data);

	return 0;
}
